# SPDX-FileCopyrightText: 2024 The Nirvati Developers
#
# SPDX-License-Identifier: AGPL-3.0-or-later

[package]
name = "citadel-api"
version = "0.1.0"
edition = "2024"
license = "AGPL-3.0-or-later"
default-run = "citadel-api"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
anyhow = "1.0.79"
async-graphql = { version = "7.0.0", default-features = false, features = ["chrono"] }
biscuit = "0.7.0"
actix-web = { version = "4.6", default-features = false, features = ["compress-brotli", "compress-gzip", "unicode", "macros"] }
async-graphql-actix-web = "7.0.0"
tracing = "0.1.40"
tracing-subscriber = "0.3.18"
nirvati = { path = "../../../shared/common", features = ["graphql"] }
actix-web-prom = { version = "0.9.0", features = ["process"] }
base64 = "0.22.1"
lnd_grpc_rust = { git ="https://github.com/nirvati/lnd-grpc-rust", rev = "8d4d5fe0d8a3c72df70016547cca2344b182946c" }
hex = "0.4.3"
rsa = "0.9.6"
k8s-crds-arti-controller = { workspace = true }
kube = { version = "0.98", features = ["client", "openssl-tls"], default-features = false }
rust-ini = "0.21.1"
k8s-openapi = { version = "0.24.0", features = ["v1_30"] }
corepc-client = { version = "0.5.0", features = ["client-sync", "jsonrpc"] }
